#little-helper-active-buffs-tooltip {
	display: none;
	pointer-events: none;
}

#little-helper-active-buffs {
	--columns: 1;

	display: none;

	&.active {
		display: block;
	}

	//background-color: red;
	z-index: calc(var(--z-index-app) + 1);
	//right: calc(calc(var(--sidebar-width) + 5px) + 10px);
	//left: calc(-4px - calc(28px * var(--columns)));
	top: 42px;

	right: calc(var(--sidebar-width) + 12px);

	&.sidebar-collapsed {
		right: calc(32px + 12px);
	}

	// No events for the holder itself.
	pointer-events: none;

	position: absolute;

	// 24px icon width + 2px border on both sides = 28px; 3px for gap
	width: calc(
		calc(28px * var(--columns)) + calc(calc(var(--columns) - 1) * 3px)
	);

	// Prevent UI distortion
	//height: calc(100% - 50px);
	//overflow: visible hidden; // Causes tooltip to underflow

	.buff-container {
		display: flex;
		flex-flow: column nowrap;
		gap: 16px;
	}

	.buff-list {
		display: flex;
		flex-flow: row wrap;
		gap: 3px;

		&:empty {
			display: none;
		}

		margin: 0;
		padding: 0;
		list-style: none;

		justify-content: flex-end;

		&.collapse {
			display: none;
		}

		> .buff {
			cursor: pointer;

			> img {
				pointer-events: none;
			}
		}
	}

	.fast-label {
		position: absolute;
		pointer-events: none;

		opacity: 0;

		color: gold;
		text-shadow:
			0 0 1px black,
			0 0 3px black,
			0 0 7px black,
			0 0 15px black;

		top: 0;
		height: 24px;

		margin: 0;
		padding: 0;
		display: flex;
		align-items: center;

		white-space: nowrap;

		left: calc(var(--width) * -1px - 0.5em);

		transition: 100ms opacity;
	}

	.invalid .fast-label {
		color: orangered;
	}

	&.extraInfo .fast-label {
		opacity: 1;
	}

	.tooltip {
		display: none;
		position: absolute;
		pointer-events: none;
		z-index: calc(var(--z-index-app) + 250);

		background-color: var(--lil-glowbox-bg);
		box-shadow: 0 0 15px #464343;

		border: 2px solid var(--lil-glowbox-bd);
		border-top-left-radius: 0.5em;
		border-bottom-right-radius: 0.5em;

		color: var(--lil-glowbox-text);

		text-shadow: none;

		//top: calc(var(--tt-p-height) * -1px);
		min-width: 16rem;
		width: min-content;

		top: -2px;
		left: calc(calc(var(--tt-width) * -1px) - 12px);

		padding: 0.2em 0.5em;

		.name {
			//font-weight: bold;
			white-space: nowrap;
			font-size: var(--font-size-16, 12pt);
			margin: 0;
			padding: 0;
			color: var(--lil-glowbox-highlight);
		}

		.level {
			//text-align: right;
			font-size: var(--font-size-11);

			.value {
				color: var(--lil-glowbox-highlight);
			}
		}

		.time {
			font-size: var(--font-size-11, 8pt);
			border: 1px solid #8f9b7d;
			padding: 0.1em 0.3em;

			.time-block {
			}

			.number {
				color: var(--lil-glowbox-highlight);

				&.expired {
					color: var(--lil-glowbox-burn);
				}
			}
		}

		.description {
			font-size: var(--font-size-11, 8pt);

			a.content-link,
			a.inline-roll {
				i.fas {
					color: #998f8f;
				}

				background-color: #2e3140;
				border-color: #979587;
				color: #e7dfdf;
			}

			section.secret {
				opacity: 0.8;
			}
		}

		hr {
			border: 1px dashed #adff2f26;
			margin: 0.3em;
			padding: 0;
		}

		.buff-action.help,
		.buff-type {
			font-style: italic;
			margin: 0;
			padding: 0;
			font-size: var(--font-size-11, 8pt);
			text-align: right;
			color: ghostwhite;
		}
	}

	.buff {
		flex: 0 24px;
		border: 2px solid var(--lil-glowbox-bd);
		display: block;
		position: relative;

		width: 28px;
		height: 28px;

		pointer-events: all;

		&.permanent {
			border-color: var(--lil-glowbox-bd-alt);
		}

		&.invalid {
			border-color: darkred;
		}

		&:hover {
			border-color: red;
			box-shadow: 0 0 15px var(--color-shadow-primary);

			.tooltip {
				display: block;

				.buff-action,
				.buff-type {
					&:after {
						content: ')';
					}
					&:before {
						content: '(';
					}
				}
			}
		}

		img {
			width: 24px;
			max-width: 24px;
			height: 24px;
			max-height: 24px;
			border: unset;
			background-color: #2b2e2e;
		}
	}
}
